# [Coturn](https://git.sp-codes.de/sp-codes/coturn)

[![License](https://img.shields.io/badge/license-AGPL--3.0-purple)](#license) [![Docker Pulls](https://img.shields.io/docker/pulls/spcodes/coturn)](https://hub.docker.com/r/spcodes/coturn)

The Coturn Docker Image for [coturn.sp-codes.de](https://coturn.sp-codes.de). Supports Prometheus metrics.

## Usage

Example `docker-compose.yml`:

```yaml
services:
  coturn:
    image: cr.sp-codes.de/sp-codes/coturn
    restart: always
    volumes:
      - ./turnserver.conf:/etc/turnserver.conf:ro
      - ./certificates:/certificates:ro
    network_mode: host
```

Adjust the `turnserver.conf` to your needs (https://github.com/coturn/coturn/blob/master/docs/Configuration.md). If you have enabled `prometheus` you can get the metrics with http://localhost:9641/metrics.

## License

[![GNU AGPLv3 Image](https://www.gnu.org/graphics/agplv3-155x51.png)](https://www.gnu.org/licenses/agpl-3.0)

This project is Free Software: It is licensed under GNU AGPL v3 (See [LICENSE](LICENSE) for more information).
